From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/folium/
Date: Sat, 22 Jun 2024 14:32:25 +0000 (UTC) [thread overview]
Message-ID: <1719066723.43e00e14e6acbf9fdf2f4b9cd8565c9489b153b4.tupone@gentoo> (raw)
commit: 43e00e14e6acbf9fdf2f4b9cd8565c9489b153b4
Author: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 22 14:31:28 2024 +0000
Commit: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sat Jun 22 14:32:03 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=43e00e14
sci-geosciences/folium: add 0.17.0
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>
sci-geosciences/folium/Manifest | 1 +
sci-geosciences/folium/folium-0.17.0.ebuild | 49 +++++++++++++++++++++++++++++
2 files changed, 50 insertions(+)
diff --git a/sci-geosciences/folium/Manifest b/sci-geosciences/folium/Manifest
index cbb505d32da8..2e58c7aa1750 100644
--- a/sci-geosciences/folium/Manifest
+++ b/sci-geosciences/folium/Manifest
@@ -1,2 +1,3 @@
DIST folium-0.15.1.tar.gz 8400799 BLAKE2B c01c4029882aed5c1390be05a358c6c9e321e1562573bb1ae7246b462bc9183c21ba7631ca6b9a0e51311375f90f06bac5651c28505fa0d73c65942267ab2ce4 SHA512 fdc0b7bb0c864337b10d92e60090382d67d29e9158bb92c22ae53e749612d88427db95d34990c8895a04017ca1a5870330c6d9da3abb94e19ff6141b94f503c0
DIST folium-0.16.0.tar.gz 8403284 BLAKE2B 443d8fc54ecdad8921d4467623ea4b8f6c22744df79ed25071e7937d38b1204f076432fc99f10ae23ddfebf89d4f7db19101e4aa54ceb1902bdad01af6f3ba2b SHA512 7dbaf3acdc0f5efbee8332bbc33ee002f1af22d53c662d434ace50e091dbaa9dde190d1f5f212be2a9d8abdcd5e5dbce0a916033c672c2327cc8b72f74eb69f4
+DIST folium-0.17.0.tar.gz 8212314 BLAKE2B aac66b49fee5633e6c5d097094cc4ff21d835f87c5017384f2e39236aece1f4820c0dad80b87abcbce30ddb2a3c48332656b0ad07cecdd5b2dbf81c9329eb852 SHA512 2f45237064ea0bd07f95c53ab482bb33bd1786cd431237df23f1d2b9f5f063c43a0f590236b408d257e2567c16444651e9fe1a4ec9c13e6f4934a0330c7d86cc
diff --git a/sci-geosciences/folium/folium-0.17.0.ebuild b/sci-geosciences/folium/folium-0.17.0.ebuild
new file mode 100644
index 000000000000..6182bf93caf4
--- /dev/null
+++ b/sci-geosciences/folium/folium-0.17.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_USE_PEP517=setuptools
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+inherit distutils-r1
+
+DESCRIPTION="Python Data, Leaflet.js Maps"
+HOMEPAGE="https://github.com/python-visualization/folium"
+SRC_URI="https://github.com/python-visualization/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.15.1-gentoo.patch
+)
+
+RDEPEND="sci-geosciences/xyzservices[${PYTHON_USEDEP}]
+ sci-libs/branca[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-python/setuptools-scm
+ test? (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ rm -r tests/selenium || die # require chromedriver
+ rm tests/test_folium.py || die # require geopandas
+ rm tests/test_raster_layers.py || die # require xyzservices
+ rm tests/plugins/test_time_slider_choropleth.py || die # require geopandas
+ rm tests/test_repr.py || die # require geckodriver
+ default
+}
+
+python_test() {
+ epytest -m 'not web'
+}
next reply other threads:[~2024-06-22 14:32 UTC|newest]
Thread overview: 20+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-06-22 14:32 Alfredo Tupone [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-29 17:36 [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/folium/ Alfredo Tupone
2025-04-09 18:00 Alfredo Tupone
2025-03-24 7:18 Alfredo Tupone
2025-01-12 10:03 Alfredo Tupone
2025-01-01 9:41 Alfredo Tupone
2024-12-17 20:17 Alfredo Tupone
2024-12-17 17:40 Alfredo Tupone
2024-11-16 15:19 Alfredo Tupone
2024-11-16 15:19 Alfredo Tupone
2024-03-09 18:32 Alfredo Tupone
2024-01-02 11:15 Alfredo Tupone
2023-12-27 15:40 Alfredo Tupone
2023-02-19 9:11 Alfredo Tupone
2023-02-09 18:06 Alfredo Tupone
2022-02-05 8:22 Alfredo Tupone
2021-08-29 12:33 Alfredo Tupone
2021-08-28 19:49 Alfredo Tupone
2021-08-02 7:08 Alfredo Tupone
2021-08-01 16:36 Alfredo Tupone
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1719066723.43e00e14e6acbf9fdf2f4b9cd8565c9489b153b4.tupone@gentoo \
--to=tupone@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox